
RESULTSER =  # figure names
RESULTSCR =  panel1 panel2 Resid Zoom Zoom2 # conditionally reproducible
RESULTSNR =  illum illum2 geometry plainview  # not reproducible


gpar1 = >/dev/null title=' ' titlesz=10 titlefat=5 labelrot=y labelfat=2 labelsz=5 wheretitle=t n1tic=5 n2tic=5 whereylabel=l wherexlabel=b wheretics=f label2='x(m)' label1='t(s)' wantaxis2=1 pclip=95 min1=0.8 crowd=0.70 screenratio=1.5
gpar2 = >/dev/null title=' ' titlesz=12 titlefat=1 labelrot=y labelfat=1 labelsz=12 wheretitle=t  crowd=0.70 whereylabel=l wherexlabel=b wheretics=f pclip=99
gpar3 = >/dev/null title=' ' titlesz=9 titlefat=1 labelrot=y labelfat=1 labelsz=9 wheretitle=t n1tic=5 n2tic=5 crowd=0.75 whereylabel=l wherexlabel=b wheretics=f
gpar4 = >/dev/null title=' ' titlesz=10 titlefat=5 labelrot=y labelfat=2 labelsz=5 wheretitle=t n1tic=5 n2tic=5 whereylabel=l wherexlabel=b wheretics=f label2='x(m)' label1='t(s)' wantaxis2=1 newclip=1 bclip=-7.0 eclip=7 min1=1.8 crowd=0.70 screenratio=2.

winn = 	Window3d n1=70 f1=20 | Window3d n2=200 f2=300
winn2 = Window3d n1=70 f1=130| Window3d n2=200 f2=450


# image comparison, velocity, rtm streamer, rtm OBN, model 
panel1.v: Data/rtmStream.H Data/rtmOBN.H Data/velmarm.H
	< Data/velmarm.H  Window3d n3=1 f3=1 | Grey $(gpar3) newclip=1 color=j wantscalebar=1 bartype=h barlabel='velocity (km/s)' minval=1500. maxval=3000. title='a)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29  crowd=0.70 pclip=98 out=junk1.v
	< Data/reflmarm.H  Window3d n3=1 f3=1 | Grey $(gpar3) title='b)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29  crowd=0.70 pclip=98 out=junk2.v
	< Data/rtmStream.H Grey $(gpar3) title='c)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29 crowd=0.70  out=junk3.v
	< Data/rtmOBN.H Grey $(gpar3) title='d)' titlesz=20 labelsz=15 label1='z(m)' label2='x(m)' screenratio=0.29 crowd=0.70  out=junk4.v
	vppen <junk1.v vpstyle=n align=lu yshift=29.5  > 1.v
	vppen <junk2.v vpstyle=n align=lu yshift=18.5  > 2.v
	vppen <junk3.v vpstyle=n align=lu yshift=9.5 > 3.v
	vppen <junk4.v vpstyle=n align=lu yshift=0.5 > 4.v	
	vppen 1.v 2.v 3.v 4.v erase=n scale=0.14 > Fig/temp1.v
	vp_annotate < Fig/temp1.v text=Ant/antpanel1.txt batch=y > Fig/panel1.v
	rm -f junk1.v junk2.v junk3.v junk4.v 4.v 1.v 2.v 3.v Fig/temp1.v

# image comparison, velocity, rtm streamer, rtm OBN, model 
panel1BW.v: Data/rtmStream.H Data/rtmOBN.H Data/velmarm.H Data/reflmarm.H 
	< Data/velmarm.H  Window3d n3=1 f3=1 | Grey $(gpar3) newclip=1 wantscalebar=1 bartype=h barlabel='velocity (km/s)' minval=1500. maxval=3000. title='a)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29  crowd=0.70 pclip=98 out=junk1.v
	< Data/reflmarm.H  Window3d n3=1 f3=1 | Grey $(gpar3) title='b)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29  crowd=0.70 pclip=98 out=junk2.v
	< Data/rtmStream.H Grey $(gpar3) title='c)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29 crowd=0.70  out=junk3.v
	< Data/rtmOBN.H Grey $(gpar3) title='d)' titlesz=20 labelsz=15 label1='z(m)' label2='x(m)' screenratio=0.29 crowd=0.70  out=junk4.v
	vppen <junk1.v vpstyle=n align=lu yshift=29.5  > 1.v
	vppen <junk2.v vpstyle=n align=lu yshift=18.5  > 2.v
	vppen <junk3.v vpstyle=n align=lu yshift=9.5 > 3.v
	vppen <junk4.v vpstyle=n align=lu yshift=0.5 > 4.v	
	vppen 1.v 2.v 3.v 4.v erase=n scale=0.14 > Fig/temp1.v
	vp_annotate < Fig/temp1.v text=Ant/antpanel1.txt batch=y > Fig/panel1BW.v
	rm -f junk1.v junk2.v junk3.v junk4.v 4.v 1.v 2.v 3.v Fig/temp1.v
	make my/panel1BW.pdf
	cp Fig/panel1BW.pdf FigBW/panel1.pdf
	rm -f Fig/panel1BW*

# image comparison, Over-under arrangement
panel2.v: Data/StreamInv.H Data/OBNInv.H Data/JointInv.H Data/reflmarm.H
	< Data/StreamInv.H  Grey $(gpar3) title='a)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29  crowd=0.70 pclip=98 out=junk1.v
	< Data/OBNInv.H Grey $(gpar3) title='b)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29 crowd=0.70  out=junk2.v
	< Data/JointInv.H Grey $(gpar3) title='c)' titlesz=20 labelsz=15 label1='z(m)' label2='x(m)' wantaxis2=0 screenratio=0.29 crowd=0.70  out=junk3.v
	< Data/reflmarm.H  Window3d n3=1 f3=1 | Grey $(gpar3) title='d)' titlesz=20 labelsz=15 label1='z(m)' label2='x(m)' wantaxis2=1 screenratio=0.29  crowd=0.70 pclip=98 out=junk4.v	
	vppen <junk1.v vpstyle=n align=lu yshift=27.5  > 1.v
	vppen <junk2.v vpstyle=n align=lu yshift=18.5  > 2.v
	vppen <junk3.v vpstyle=n align=lu yshift=9.5 > 3.v
	vppen <junk4.v vpstyle=n align=lu yshift=0.5 > 4.v	
	vppen 1.v 2.v 3.v 4.v erase=n scale=0.14 > Fig/panel2.v
	rm -f junk1.v junk2.v junk3.v junk4.v 4.v 1.v 2.v 3.v 

Zoom.v: Data/StreamInv.H Data/OBNInv.H Data/JointInv.H Data/reflmarm.H
	rm -f junk1.v junk2.v junk3.v junk4.v 
	rm -f 1.v 2.v 3.v 4.v
	< Data/StreamInv.H  $(winn)  | Grey $(gpar2) label1="z(m)" label2="x(m)" wantaxis2=0  title="a)"  out=junk1.v
	< Data/OBNInv.H $(winn) | Grey $(gpar2)  wantaxis1=0 label1='z(m)' label2='x(m)' wantaxis2=0   title='b)' out=junk2.v
	< Data/JointInv.H $(winn) | Grey $(gpar2) wantaxis1=1 label1='z(m)' label2='x(m)' wantaxis2=1   title='c)' out=junk3.v
	< Data/reflmarm.H $(winn) | Grey $(gpar2)  wantaxis1=0 label1='z(m)' label2='x(m)' title='d)' wantaxis2=1  out=junk4.v
	vppen < junk1.v vpstyle=n xshift=0 yshift=8.5 > 1.v
	vppen < junk2.v vpstyle=n xshift=11.5 yshift=8.5 > 2.v	
	vppen < junk3.v vpstyle=n xshift=0 yshift=0 > 3.v
	vppen < junk4.v vpstyle=n xshift=11.5 yshift=0 > 4.v	
	vppen 1.v 2.v 3.v 4.v erase=n scale=0.2 > Fig/Zoom.v
	rm -f junk1.v junk2.v junk3.v junk4.v 
	rm -f 1.v 2.v 3.v 4.v

Zoom2.v: Data/StreamInv.H Data/OBNInv.H Data/JointInv.H Data/reflmarm.H 
	rm -f junk1.v junk2.v junk3.v junk4.v junk5.v junk6.v
	rm -f 1.v 2.v 3.v 4.v 5.v 6.v
	< Data/StreamInv.H  $(winn2)  | Grey $(gpar2) label1="z(m)" label2="x(m)" wantaxis2=0  title="a)"  out=junk1.v
	< Data/OBNInv.H $(winn2) | Grey $(gpar2)  wantaxis1=0 label1='z(m)' label2='x(m)' wantaxis2=0   title='b)' out=junk2.v
	< Data/JointInv.H $(winn2) | Grey $(gpar2) wantaxis1=1 label1='z(m)' label2='x(m)' wantaxis2=1   title='c)' out=junk3.v
	< Data/reflmarm.H $(winn2) | Grey $(gpar2)  wantaxis1=0 label1='z(m)' label2='x(m)' title='d)' wantaxis2=1  out=junk4.v
	vppen < junk1.v vpstyle=n xshift=0 yshift=8.5 > 1.v
	vppen < junk2.v vpstyle=n xshift=11.5 yshift=8.5 > 2.v	
	vppen < junk3.v vpstyle=n xshift=0 yshift=0 > 3.v
	vppen < junk4.v vpstyle=n xshift=11.5 yshift=0 > 4.v	
	vppen 1.v 2.v 3.v 4.v erase=n scale=0.2 > Fig/Zoom2.v
	rm -f junk1.v junk2.v junk3.v junk4.v 
	rm -f 1.v 2.v 3.v 4.v	

# Data space residual, 3 panels 
# left=field data; middle=synthetic; right=residual
Resid.v: Data/rr34.H Data/sdOurB8.H Data/FmodB.H
	python pycode/pyRemove.py 
	rm -f junk1.v junk2.v junk3.v 1.v 2.v 3.v
	< Data/sdOurB8.H Transp | Grey $(gpar4) title='a)'   out=junk1.v
	< Data/FmodB.H  Transp | Grey $(gpar4) newclip=1 bclip=-5.0 eclip=5 title='b)' wantaxis1=0 out=junk2.v
	< Data/rr34.H Transp | Grey $(gpar4) newclip=1 bclip=-8.0 eclip=8 title='c)' wantaxis1=0 out=junk3.v	
	vppen < junk1.v vpstyle=n xshift=0.5 yshift=0. > 1.v
	vppen < junk2.v vpstyle=n xshift=4. yshift=0. > 2.v
	vppen < junk3.v vpstyle=n xshift=7.5 yshift=0. > 3.v	
	vppen 1.v 2.v 3.v erase=n > Fig/Resid.v
	rm -f junk1.v junk2.v junk3.v 1.v 2.v 3.v	



