#! /usr/bin/env python
#from SEP import *
import commands as cmd
import re,string
import sys, os
import os.path as path

sbin="./bin"

# This file contains streamer and receiver geometry
# platform location 3950-4000
# streamer must be 500m from edge of platform
# in x line, there are 4 receivers to the left and to the right of shot
# rec are distant of 50m, 150m, 250m, and 350m from shot
T=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21]
TL=[2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21]

S=[['Sx','depth','orx']]
S.append([350.,0.,0.])
S.append([700.,0.,350.])
S.append([1050.,0.,700.])
S.append([1400.,0.,1050.])
S.append([1750.,0.,1400.])
S.append([2100.,0.,1750.])
S.append([2450.,0.,2100.])
S.append([2800.,0.,2450.])
S.append([3150.,0.,2800.])  # closest shot from the left
S.append([4850.,0.,4500.])  # closest shot from the right
S.append([5200.,0.,4850.])
S.append([5550.,0.,5200.])
S.append([5900.,0.,5550.])
S.append([6250.,0.,5900.])
S.append([6400.,0.,6250.])
S.append([6950.,0.,6400.])
S.append([7300.,0.,6950.])
S.append([7650.,0.,7300.])
S.append([7990.,0.,7640])
# Add under-shooting to the streamer surveys 
# orx and sx are in opposite side of the wells
S.append([3450.,0.,4500.])
S.append([4500.,0.,2750.])


# Gx = node position for x
# Orx = starting position of rec
# depth = node position for z

#node# 
# platform location 3950-4000
# shot carpet (stays the same for all node)
# shot carpet must be 50m from edge of platform
# extra receiver in the Ocean bottom, other wise it is 400m
K=[1,2,3,4,5,6,7,8,9,10,11,12,13,14]
KL =[2,3,4,5,6,7,8,9,10,11,12,13,14]


L=[['Gx','depth','Orx']]
L.append([2000., 1000.,0.])
L.append([2400., 1000.,0.])
L.append([2800., 1000.,0.])
L.append([3200., 1000.,0.])
L.append([3600., 1000.,0.])
L.append([3550., 1000.,0.])
L.append([3960., 1000.,0.]) # left edge of receiver
L.append([4010., 1000.,0.]) # right edge of receiver
L.append([4300., 990.,0.])
L.append([4700., 980.,0.])
L.append([5100., 960.,0.])
L.append([5500., 960.,0.])
L.append([5900., 960.,0.])
L.append([6300., 980.,0.])



plet=['0','0','0']
dirdata=['0','0','0']
parFor=['0','0','0']
parAdj=['0','0','0']
soufile=['0','0','0']
DWfile=['0','0','0']
MWfile=['0','0','0']
rmlist=['0','0','0']
W=[[],[],[]]
W[1].append(['Sx','depth','orx'])
W[1].append([350.,0.,0.])
W[1].append([700.,0.,350.])
W[1].append([1050.,0.,700.])
W[1].append([1400.,0.,1050.])
W[1].append([1750.,0.,1400.])
W[1].append([2100.,0.,1750.])
W[1].append([2450.,0.,2100.])
W[1].append([2800.,0.,2450.])
W[1].append([3150.,0.,2800.])  # closest shot from the left
W[1].append([4850.,0.,4500.])  # closest shot from the right
W[1].append([5200.,0.,4850.])
W[1].append([5550.,0.,5200.])
W[1].append([5900.,0.,5550.])
W[1].append([6250.,0.,5900.])
W[1].append([6400.,0.,6250.])
W[1].append([6950.,0.,6400.])
W[1].append([7300.,0.,6950.])
W[1].append([7650.,0.,7300.])
W[1].append([7990.,0.,7640])
# Add under-shooting to the streamer surveys 
# orx and sx are in opposite side of the wells
W[1].append([3450.,0.,4500.])
W[1].append([4500.,0.,2750.])
W[2].append(['Gx','depth'])
W[2].append([2000., 1000.,0.])
W[2].append([2400., 1000.,0.])
W[2].append([2800., 1000.,0.])
W[2].append([3200., 1000.,0.])
W[2].append([3600., 1000.,0.])
W[2].append([3550., 1000.,0.])
W[2].append([3960., 1000.,0.]) # left edge of receiver
W[2].append([4010., 1000.,0.]) # right edge of receiver
W[2].append([4300., 990.,0.])
W[2].append([4700., 980.,0.])
W[2].append([5100., 960.,0.])
W[2].append([5500., 960.,0.])
W[2].append([5900., 960.,0.])
W[2].append([6300., 980.,0.])
