


#==========================================================================================

Data/rtmStream.H:
	Rm Data/rtmStream.H
	Bandpass < LSM/InvD/m/mOurDTotaliter2.H flo=0.005 fhi=0.017 |  Scale scale_to=1. >  $@
	 
Data/rtmOBN.H:
	Rm Data/rtmOBN.H
	Bandpass < LSM/InvB/m/mOurBTotaliter2.H flo=0.005 fhi=0.017 |  Scale scale_to=1. >  $@
	
Data/StreamInv.H:
	Rm Data/StreamInv.H
	Bandpass < LSM/InvD/m/mOurDTotaliter30.H flo=0.005 fhi=0.017 |  Scale scale_to=1. >  $@
	 
Data/OBNInv.H:
	Rm Data/OBNInv.H
	Bandpass < LSM/InvB/m/mOurBTotaliter30.H flo=0.005 fhi=0.017 |  Scale scale_to=1. >  $@	
	
Data/JointInv.H:
	Rm Data/JointInv.H
	Bandpass < LSM/InvEF/m/mOurETotaliter30.H flo=0.005 fhi=0.017 |  Scale scale_to=1. >  $@		

Data/reflmarm.H: Input/reflmarm.H
	cp Input/reflmarm.H Data/.
	
Data/velmarm.H:
	Rm Data/velmarmCut.H  Data/velmarm.H
	< Input/velmarm2D.H Window3d n1=200 f1=80 > Data/velmarmCut.H 
	Math file1=Data/velmarmCut.H exp='file1*0.001' > Data/velmarm.H

# ==== Files for Resid.v ===================================================================

Data/rr34.H:
	Rm Data/rr34.H
	Transp < LSM/InvEF/rr/rrOurF8iter34.H | Bandpass fhi=22. | Transp > Data/rr34.H
	
Data/FmodB.H: Data/sdOurB8.H
	Rm Data/FmodB.H
	Math file1=Data/sdOurB8.H file2=Data/rr34.H exp='file1+file2' > Data/FmodB.H 
		
Data/sdOurB8.H:
	cp syndat/B/sdOurB8.H Data/.
	
	

